#pragma once
#include "iabstractfactory.h"
#include "CircleEye.h"
#include "CircleNose.h"
#include "CircleMouth.h"

class CCircleFactory : public IAbstractFactory
{
public:
	CCircleFactory() {};
	virtual ~CCircleFactory() {};

public:
	virtual IEye*	CreateEye()		{ return new CCircleEye;	}
	virtual INose*	CreateNose()	{ return new CCircleNose;	}
	virtual IMouth* CreateMouth()	{ return new CCircleMouth;	}

	virtual void Print()		{ std::wcout << _T("CCircleFactory") << std::endl; }
};

