#pragma once

class IEye;
class INose;
class IMouth;

class IAbstractFactory
{
public:
	IAbstractFactory() {};
	virtual ~IAbstractFactory() {};

public:
	virtual IEye*	CreateEye() = 0;
	virtual INose*	CreateNose() = 0;
	virtual IMouth*	CreateMouth() = 0;

	virtual void Print() = 0;
};

