#pragma once
#include "iabstractfactory.h"
#include "RectEye.h"
#include "RectNose.h"
#include "RectMouth.h"

class CRectFactory : public IAbstractFactory
{
public:
	CRectFactory() {};
	virtual ~CRectFactory() {};

public:
	virtual IEye*	CreateEye()		{ return new CRectEye;		}
	virtual INose*	CreateNose()	{ return new CRectNose;		}
	virtual IMouth* CreateMouth()	{ return new CRectMouth;	}

	virtual void Print()		{ std::wcout << _T("CRectFactory") << std::endl; }
};

