#include "StdAfx.h"
#include "SnowMan.h"

#include "IEye.h"
#include "INose.h"
#include "IMouth.h"

CSnowMan::CSnowMan()
	: m_pFactory( NULL )
	, m_pEye( NULL )
	, m_pNose( NULL )
	, m_pMouth( NULL )
{
}


CSnowMan::~CSnowMan()
{
	if( m_pFactory )
	{
		delete m_pFactory;
		m_pFactory = NULL;
	}

	if( m_pEye )
	{
		delete m_pEye;
		m_pEye = NULL;
	}

	if( m_pNose )
	{
		delete m_pNose;
		m_pNose = NULL;
	}

	if( m_pMouth )
	{
		delete m_pMouth;
		m_pMouth = NULL;
	}
}

void CSnowMan::Print()
{
	std::wcout << _T("Snow Man Property") << std::endl;

	if( m_pFactory )
		m_pFactory->Print();

	if( m_pEye )
		m_pEye->Print();

	if( m_pNose )
		m_pNose->Print();

	if( m_pMouth )
		m_pMouth->Print();
}
